      subroutine hana_fillvec_calc(resol, resol_err, 
     +                       resol_sub, resol_sub_err)
c
      implicit none
c
c system commons
c
      include'hec_ana.inc'
c
      include'hana.inc'
      real resol, resol_err, resol_sub, resol_sub_err
c
c Calculate resolution and error
c
      resol = abs(signal_sigma / signal_mean)
      resol_err = abs(
     +                ( (signal_mean_error/signal_mean) +
     +                  (signal_sigma_error/signal_sigma) ) * resol )
c
c Calculate noise subtracted resolution and error
c
      if ((signal_sigma**2. - noise**2.) .gt. 0.) then
        resol_sub = abs(
     +    ((signal_sigma**2. - noise**2.)**0.5) / signal_mean )
        resol_sub_err =abs(
     +    ((( (signal_sigma_error*signal_sigma) +
     +    (noise_error*noise)                ) /
     +    (signal_sigma**2. - noise**2.)         ) +
     +    (signal_mean_error/signal_mean) ) * resol_sub )
      else
        resol_sub = 0.
        resol_sub_err = 0.
      endif
c
      return
      end

