      subroutine hana_peakbin(id,maxbin,maxdump)
c
c find the bin of a histogram
c containing the histo's maximum.
c
      implicit none
c
c common blocks
c
      include'hec_ana.inc'
      include'hec_ana_runh.inc'      ! run header ntuple common
      include'hec_ana_evt.inc'       ! event ntuple common 
c
      include'hana.inc'
      include'hana_card.inc'
c
c local variables
c
      integer i                 !loops
      integer id,maxbin         !passed variables
      real maxdump
      integer lo_bin, hi_bin
c
      real dump(10000)        !histogram contents used to find max
c
c place contents of histo id into array named dump and find the max
c bin of the histogram. 
c
c zero the elements of dump
c
      call vzero(dump,10000)
c
      call HUNPAK (id,dump,' ',0)        !p. 96 hbook
      maxbin = 0
      lo_bin = 1
      hi_bin = nbins(irun)
      maxdump = 0.
      if (hardcut_switch .eq. 1) then
        call HXI (id,hardcut_lo,lo_bin)
        call HXI (id,hardcut_hi,hi_bin)
      endif
      do i=lo_bin,hi_bin
        if (dump(i) .ge. maxdump) then
          maxdump = dump(i)
          maxbin=i
        endif
      enddo           ! do i=binlow,binhigh

c
      return
      end
