      subroutine hana_debug
c
c debugging routine for hana package (called each event)
c WARNING !!!! THIS ROUTINE IS A LOUSY HACK_ROUTINE!!!
c put in here whatever you would like to check when you turn
c on debugging flag
c
      implicit none
c
      include'hec_ana.inc'
      include'hec_ana_card.inc'
      include'hec_ana_evt.inc'
      include'hec_ana_runh.inc'
      include'hana.inc'
      include'hana_card.inc'
c
c local variables
c
c
      real sum1,sum2,sum3,sum,sumsub
      integer icycle,i,iz,ier,ic
      logical first, subcut_flag
      save first
c
      character*6 tags(5)
      real x(5)
c
      data tags/'sum1','sum2','sum3','sum','sumsub'/
      data first/.true./
c
      if (debug .eq. 0) return
c
c increment event counter corresponding to datacard request
c
      ievt_count = ievt_count + 1
c
c book histograms on the first call
c
      if (first) then
        first = .false.
        call hropen(66,'debug','debug.hbook','N',1024,ier)
        call hbook1(10,'depth 1 - pass sub',100,1.,-1.,0.)
        call hbook1(11,'depth 2 - pass sub',100,1.,-1.,0.)
        call hbook1(12,'2*depth 3 - pass sub',100,1.,-1.,0.)
        call hbook1(13,'all depths - pass sub',100,0.,75000.,0.)     
        call hbook1(14,'2*depth 3/all - pass sub',100,1.,-1.,0.)
        call hbook1(15,'all,GeV - pass sub',100,0.,220.,0.)       
c
c book ntuples
c
        call hbookn(1, ' pass sub ntuple', 5, '//debug', 2000, tags)
c
        call hbook1(20,'depth 1 - fail sub',100,1.,-1.,0.)
        call hbook1(21,'depth 2 - fail sub',100,1.,-1.,0.)
        call hbook1(22,'2*depth 3 - fail sub',100,1.,-1.,0.)
        call hbook1(23,'all depths - fail sub',100,0.,75000.,0.)     
        call hbook1(24,'2*depth 3/all - fail sub',100,1.,-1.,0.)
        call hbook1(25,'all,GeV - fail sub',100,0.,220.,0.)
c
c book ntuples
c
        call hbookn(2, ' fail sub ntuple', 5, '//debug', 2000, tags)

      endif
c
c check if event passes subcluster cut
c
      subcut_flag = .false.
      call hana_subclus(subcut_flag)
c
c if it passes the subcluster cut, fill appropriate histos
c
      if (hec_trig(5) .eq. 0 .and. hec_trig(3) .eq. 0) then
        if (subcut_flag) then
          sum1 = 0.
          sum2 = 0.
          sum3 = 0.
          sum = 0.
          sumsub = 0.
          do i = 1, hec_cells_used
            iz = hec_iz(i)
            if (iz .eq. 1) then 
              sum1 = sum1 + hec_signal(i)
            elseif (iz .eq. 2) then
              sum2 = sum2 + hec_signal(i)
            elseif (iz .eq. 3) then
              sum3 = sum3 + 2.*hec_signal(i)
            endif
            do ic = 1, subclus_ic(0,irun)
              if ( hec_ic(i) .eq. subclus_ic(ic,irun) ) then
               sumsub = sumsub + hec_signal(i) 
              endif
            enddo
            
          enddo
          sum = sum1 + sum2 + sum3
          x(1) = sum1
          x(2) = sum2
          x(3) = sum3
          x(4) = sum
          x(5) = sumsub
          call hfn(1,x)
          call hfill(10,sum1,0.,1.)
          call hfill(11,sum2,0.,1.)
          call hfill(12,sum3,0.,1.)
          call hfill(13,sum,0.,1.)
          call hfill(14,sum3/sum,0.,1.)
          sum = 0.004*(sum1 + sum2 + sum3)
          call hfill(15,sum,0.,1.)
        else
          sum1 = 0.
          sum2 = 0.
          sum3 = 0.
          sum = 0.
          sumsub = 0.
          do i = 1, hec_cells_used
            iz = hec_iz(i)
            if (iz .eq. 1) then 
              sum1 = sum1 + hec_signal(i)
            elseif (iz .eq. 2) then
              sum2 = sum2 + hec_signal(i)
            elseif (iz .eq. 3) then
              sum3 = sum3 + 2.*hec_signal(i)
            endif
            do ic = 1, subclus_ic(0,irun)
              if ( hec_ic(i) .eq. subclus_ic(ic,irun) ) then
               sumsub = sumsub + hec_signal(i) 
              endif
            enddo
          enddo
          sum = sum1 + sum2 + sum3
          x(1) = sum1
          x(2) = sum2
          x(3) = sum3
          x(4) = sum
          x(5) = sumsub
          call hfn(2,x)
          call hfill(20,sum1,0.,1.)
          call hfill(21,sum2,0.,1.)
          call hfill(22,sum3,0.,1.)
          call hfill(23,sum,0.,1.)
          call hfill(24,sum3/sum,0.,1.)
          sum = 0.004*(sum1 + sum2 + sum3)
          call hfill(25,sum,0.,1.)
        endif
      endif
c
c output histos on last event
c
      if (i_event .eq. min(maxevt,nevents)) then
        call hrout(0,icycle,' ')
        call hrend('debug')
        close(66)
      endif
c
      return
      end
