      subroutine hana_open_noise
c
c routine to replace physics file in memory with special noise run 
c
      implicit none
c
      include'hec_ana.inc'
      include'hec_ana_card.inc'  ! general datacard common
      include'hec_ana_runh.inc'  ! run header ntuple variables
      include'hec_ana_evt.inc'   ! event ntuple variables
      include'hec_ana_paw.inc'   ! paw common
c
      include'hana_card.inc'     ! hana common
c
c local variables
c
      integer istat
c
c
c close input hbook file
c
      call hrend('currun')
      close(unit=66)
c
c cat together hbook file name
c
      write(runname,8) noise_run
 8    format('data/run_',I4,'.hbook')
c
c open hbook file
c
      print *,'runname is ', runname
      call hropen(66,'currun',runname,' ',lrecl,istat)     
c
c read in event ntuple and determine number of events
c
      call hrin(101,9999,0)
      call hnoent(101,nevents)        
c
c zero the contents of the common blocks once per run
c - first run header -
      hec_runno = 0
      hec_runpd = 0
      hec_beame = 0.
      hec_noevt = 0
      hec_parttype = 0
      hec_cryox = 0.
      hec_tabley = 0.
      hec_zbeam = 0.
      hec_peakf = 0
      hec_cal_version = 0
      hec_dig_version = 0
      hec_shower = 0
      hec_eunit = 0
      hec_adc_max = 0
      hec_cells_used = 0
      call vzero(hec_ped_rms,200)
      call vzero(hec_ieta,200)
      call vzero(hec_iphi,200)
      call vzero(hec_iz,200)
      call vzero(hec_ic,200)
      call vzero(hec_index,200)
c - now HECMWPC ntuple
      hec_xbeam = 0.
      hec_ybeam = 0.
      hec_xslop = 0.
      hec_yslop = 0.
      hec_xbeam_ok = 0
      hec_ybeam_ok = 0
c - now event ntuple -
      hec_evtno = 0
      call vzero(hec_trig,5)
      call vzero(hec_signal,200) 
c - now user ntuple -
      user_cells_used = 0
      call vzero(user_chflag,200)
c
      return
      end      
