      subroutine hana_search_evt
c
c adds up the signal in each event to facilitate offline
c  clustering
c
      implicit none
c
      include'hec_ana.inc'
      include'hec_ana_runh.inc'      ! run header ntuple common
      include'hec_ana_evt.inc'       ! event ntuple common 
c
      include'hana.inc'
      include'hana_card.inc'
c
c local variables
c
      integer i, ic   !loops
      real event_sum
      event_sum = 0.      
c
c
c loop over cells
c
      do i = 1, hec_cells_used
        ic = hec_ic(i) 
c
c Moments are numbered with actual cell numbers.
c
        search_count(ic) = search_count(ic) + 1 
        search_sum(ic) = search_sum(ic) + hec_signal(i)
        search_sumsq(ic) = search_sumsq(ic) + hec_signal(i)**2
        event_sum = event_sum + hec_signal(i)
      enddo
c
      search_tot_count = search_tot_count + 1
      search_tot_sum = search_tot_sum + event_sum
      search_tot_sumsq = search_tot_sumsq + event_sum**2
c
      return
      end
