      subroutine hec_ana_card
c
c Read variables from datacard
c
      implicit none
c
      include'hec_ana.inc'        ! general parameters common
      include'hec_ana_card.inc'   ! general datacard common
c
c ffread variables
c
      integer maxffr
      parameter (maxffr=2000)
      real ffspac(maxffr)
c
c local variables
c
      integer i
c
c ffread common
c
      common /cfread/ ffspac
c
c ffread initialization
c
ccc      open(unit=27,file='hec_ana.datacard',status='OLD')
c 
c initialize ffread
c
      call ffinit(maxffr)
      call ffset('SIZE', 10)
c
c Set maximum character length of datacard input label
c
      call ffset('LINP', 5)
c
c define keys and set defaults
c
c
c set number of runs to be processed
c
      call ffkey('runs',nruns,  maxn_runs+1,'mixe')
      nruns = 1 
      do i = 1, maxn_runs
        run_list(i) = 0
      enddo
c
c maximum number of events to do in each run 
c
      call ffkey('maxevt',maxevt,  1,'mixe')
      maxevt = 99999      
c
c turn on/off different passes over the event data
c
      call ffkey('passc',pass_card,  maxn_pass,'mixe')
      pass_card(1) = 1 
      pass_card(2) = 1 
      pass_card(3) = 1 
c
c turn on/off reading of user block in event ntuple
c
      call ffkey('evmwpc',evmwpc,  1,'mixe')      
      evmwpc = 0
c
c turn on/off reading of user block in event ntuple
c
      call ffkey('evuser',evuser,  1,'mixe')      
      evuser = 0
c
      return
      end


