      subroutine hec_ana_evt
c
c initialize reading of event ntuple and get first event
c
      implicit none
c
c system commons
c
      include'hec_ana.inc'      ! general parameters common
      include'hec_ana_evt.inc'  ! event ntuple variables 
      include'hec_ana_card.inc' ! general datacard common
c
c local variables
c
      integer ier               !error condition from hgntf
c
c set aside memory for block
c
      if (i_event .eq. 1) then
        call hcdir('//currun',' ')
        call hrin(101,9999,0)
        CALL HBNAME(101,' ',0,'$CLEAR')
        CALL HBNAME(101,'HECEVT',hec_evtno,'$SET')
      endif
c
c read evt block
c
      call hgntb(101,'HECEVT',i_event,ier)
c
c if we are reading the MWPC block, initialize the reading of that block
c
      if (evmwpc .ge. 1) then
        if (i_event .eq. 1) CALL HBNAME(101,'HECMWPC',hec_xbeam,'$SET')
        call hgntb(101,'HECMWPC',i_event,ier)      
      endif
c
c if we are reading the user block, initialize the reading of that block
c
      if (evuser .ge. 1) then
        if (i_event .eq. 1) CALL HBNAME(101,'HECUSER',user_cells_used,
     +                                  '$SET')
        call hgntb(101,'HECUSER',i_event,ier)      
      endif
c
      return
      end

